Bug 1417951 - Cannot create new lifecycle environment after navigating from Dashboard
Summary: Cannot create new lifecycle environment after navigating from Dashboard
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Lifecycle Environments
Version: 6.2.7
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: John Mitsch
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 13:45 UTC by Oleksandr Shtaier
Modified: 2019-09-26 14:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-16 21:39:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot with an issue (62.63 KB, image/png)
2017-01-31 13:47 UTC, Oleksandr Shtaier
no flags Details
Part of production log with error (23.22 KB, text/plain)
2017-01-31 13:49 UTC, Oleksandr Shtaier
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18378 0 None None None 2017-02-02 19:14:10 UTC

Description Oleksandr Shtaier 2017-01-31 13:45:00 UTC
Description of problem:
When I try to navigate to Lifecycle Environments page from Dashboard page and then try to create new Environment Path, I am getting 'param is missing or the value is empty: prior_id' error
+
application URL has weird look 'https://server/lifecycle_environments//new'


Version-Release number of selected component (if applicable):
6.2.7 snap 4

How reproducible:
90%

Steps to Reproduce:
1. Login into application
2. Navigate to Dashboard page
3. Navigate to Lifecycle Environment page
4. Click 'New Environment Path' button
Issue should reproduce, if not, repeat 2-4 steps once more

Actual results:
It is not possible to create new environment and error is displayed

Expected results:
Environment can be created no matter what navigation was performed before

Additional info:

Comment 1 Oleksandr Shtaier 2017-01-31 13:47:52 UTC
Created attachment 1246261 [details]
Screenshot with an issue

Comment 2 Oleksandr Shtaier 2017-01-31 13:49:45 UTC
Created attachment 1246262 [details]
Part of production log with error

Comment 3 Oleksandr Shtaier 2017-01-31 13:51:21 UTC
Workaround: Push 'Cancel' button and then 'New Environment Path' again

Comment 5 John Mitsch 2017-02-02 19:14:09 UTC
Created redmine issue http://projects.theforeman.org/issues/18378 from this bug

Comment 6 Chris Roberts 2017-02-16 21:39:38 UTC
Tested on latest 6.2.7 GA and working correctly now, closing out.


Note You need to log in before you can comment on or make changes to this bug.